"""
Constants submodule
"""
REVISION_PATH_NAME = "versions"
ACTUAL_DUMP_FILENAME = "actual_dump.json"
VERSION_FIELD = "version"
FIRST_MIGRATION_REVISION = "base_revision"
TEMPLATE_NAME = "template.tmpl"
BYTES_HASH_LENGTH = 4
# list of settings that should be skipped in the dump file and migrations
BLACK_LIST_LIMITATIONS = {"LUNA_CONFIGURATOR"}
# list of services that should be skipped in the dump file and migrations
BLACK_LIST_SERVICES = {"luna-configurator"}
